1

Topic: Installation Error

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release):
- Linux/BSD distribution name and version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Web server (Apache or Nginx):
- Manage mail accounts with iRedAdmin-Pro?
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====hi,

We are trying to install iRedmail in Debian enviroment using iRedmail script.It got failed with below error.
W: The repository 'https://packages.inverse.ca/SOGo/nightly/4/debian stretch Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'https://deb.nodesource.com/node_7.x jessie Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch https://packages.inverse.ca/SOGo/nightl … 4/Packages  Received HTTP code 403 from proxy after CONNECT
E: Failed to fetch https://deb.nodesource.com/node_7.x/dis … ce/Sources  gnutls_handshake() failed: Error in the pull function.
E: Some index files failed to download. They have been ignored, or old ones used instead.
[ INFO ] Installing package(s): postfix postfix-pcre libsasl2-modules postgresql postgresql-client postgresql-contrib postfix-pgsql libdbd-pg-perl php-cli php-fpm php-json php-gd php-curl mcrypt php-intl php-xml php-mbstring php-mcrypt php-pgsql nginx-full dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-sieve dovecot-pgsql amavisd-new libcrypt-openssl-rsa-perl libmail-dkim-perl clamav-freshclam clamav-daemon spamassassin altermime arj nomarch cpio lzop cabextract p7zip-full rpm ripole libmail-spf-perl unrar-free pax lrzip mlmmj sogo sogo-activesync sope4.9-gdl1-postgresql python-sqlalchemy python-dnspython python-psycopg2 python-jinja2 python-netifaces python-webpy python-beautifulsoup python-lxml python-pycurl python-requests uwsgi uwsgi-plugin-python fail2ban zlib1g libuuid1 libmnl0 curl lm-sensors netcat bzip2 acl patch cron tofrodos logwatch unzip bsdutils liblz4-tool
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package sogo-activesync
E: Unable to locate package sope4.9-gdl1-postgresql
E: Couldn't find any package by glob 'sope4.9-gdl1-postgresql'
E: Couldn't find any package by regex 'sope4.9-gdl1-postgresql'
<< ERROR >> Installation failed, please check the terminal output.
<< ERROR >> If you're not sure what the problem is, try to get help in iRedMail
<< ERROR >> forum: https://forum.iredmail.org/
Could you please someone help me..please
Regards
Ashraf

2

Re: Installation Error

ptashraf wrote:

W: The repository 'https://packages.inverse.ca/SOGo/nightly/4/debian stretch Release' does not have a Release file.
...
W: The repository 'https://deb.nodesource.com/node_7.x jessie Release' does not have a Release file.

Seems these 2 apt repos have problem themselves.

- For SOGo, please run "apt-get update" first then try again.
- For the "node_7.x" repo, please disable it before iRedMail installation, it's not used by iRedMail.

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee